Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.persister.entity
[Java] Class GroovyAwareSingleTableEntityPersister

    java.lang.Object
      org.hibernate.persister.entity.SingleTableEntityPersister
          org.codehaus.groovy.grails.orm.hibernate.persister.entity.GroovyAwareSingleTableEntityPersister

    public class GroovyAwareSingleTableEntityPersister
    extends SingleTableEntityPersister

A customized EntityPersisteer that creates proxies valid for use with Groovy.

Authors:
  Graeme Rocher

Since:
  1.1.1

Constructor Summary
`GroovyAwareSingleTableEntityPersister(PersistentClass persistentClass, EntityRegionAccessStrategy cacheAccessStrategy, SessionFactoryImplementor factory, Mapping mapping)`

Method Summary
`java.lang.Object` | `createProxy(java.io.Serializable id, SessionImplementor session)`

Constructor Detail

### GroovyAwareSingleTableEntityPersister

    public GroovyAwareSingleTableEntityPersister(PersistentClass persistentClass, EntityRegionAccessStrategy cacheAccessStrategy, SessionFactoryImplementor factory, Mapping mapping)

Method Detail

### createProxy

    @Override
    public java.lang.Object createProxy(java.io.Serializable id, SessionImplementor session)

Groovy Documentation